#!/bin/bash
#Audioblast enter USERNAME & SERIAL

if [ $SUDO_USER ]; then
    user=$SUDO_USER
else
    user=$(whoami)
fi


AUDIOBLASTDIR="/home/$user/.audioblast"
if [ ! -d "$AUDIOBLASTDIR" ]; then
  #echo "$AUDIOBLASTDIR does not exist, creating !"
  mkdir -m 777 -p $AUDIOBLASTDIR
fi


MININNDRUMDIR="$AUDIOBLASTDIR/MininnDrum"
if [ ! -d "$MININNDRUMDIR" ]; then
  #echo "$MININNDRUMDIR does not exist, creating !"
  mkdir -m 777 -p $MININNDRUMDIR
fi

cp -r "Factory Presets" $MININNDRUMDIR

mkdir -m 777 -p "$MININNDRUMDIR/User Presets"

COMPANY="Audioblast"
PLUGINNAME="MininnDrum"
VST3PRESETCOMPANYDIR="$HOME/.vst3/presets/$COMPANY"
if [ ! -d "$VST3PRESETCOMPANYDIR" ]; then
  #echo "$VST3PRESETCOMPANYDIR does not exist, creating !"
  mkdir -m 777 -p $VST3PRESETCOMPANYDIR
fi

VST3PRESETPLUGINDIR="$VST3PRESETCOMPANYDIR/$PLUGINNAME"
if [ ! -d "$VST3PRESETPLUGINDIR" ]; then
  #echo "$VST3PRESETPLUGINDIR does not exist, creating !"
  mkdir -m 777 -p $VST3PRESETPLUGINDIR
fi

cp -r VST3Presets/. $VST3PRESETPLUGINDIR 

exit
