#!/bin/bash
#Audioblast enter USERNAME & SERIAL

if [ $SUDO_USER ]; then
    user=$SUDO_USER
else
    user=$(whoami)
fi


AUDIOBLASTDIR="/home/$user/.audioblast"
if [ ! -d "$AUDIOBLASTDIR" ]; then
  #echo "$AUDIOBLASTDIR does not exist, creating !"
  mkdir -m 777 -p $AUDIOBLASTDIR
fi


MININNDRUMDIR="$AUDIOBLASTDIR/MininnDrum"
if [ ! -d "$MININNDRUMDIR" ]; then
  #echo "$MININNDRUMDIR does not exist, creating !"
  mkdir -m 777 -p $MININNDRUMDIR
fi


CONFIGFILE="$MININNDRUMDIR/MininnDrum.conf"
if [ ! -f "$CONFIGFILE" ]; then
	echo "Please enter you username and serial to unlock MininnDrum VST3"
	read -p 'USERNAME : ' uservar
	read -p 'SERIAL : ' serialvar

    	echo "[General]" > $CONFIGFILE
    	echo "UserName=$uservar" >> $CONFIGFILE
    	echo "UserSerial=$serialvar" >> $CONFIGFILE
fi


exit
